VistaIOPrintOptions(3)

NAME
VistaIOPrintOptions, VistaIOPrintOptionValue - print command line option settings

SYNOPSIS
#include <vistaio.h>

void VistaIOPrintOptions (FILE *f, int noptions, VistaIOOptionDescRec options[]);

int VistaIOPrintOptionValue (FILE *f, VistaIOOptionDescRec *option);

ARGUMENTS

f   Specifies the stream on which to print.

noptions
    Specifies the number of entries in the table of option descriptors.

options
    Specifies a table of option descriptors. Each entry describes one command line option.

option
    Specifies a single command line option whose value(s) are to be printed.

DESCRIPTION
VistaIOPrintOptions prints the names, descriptions, and settings of a group of command line options.

VistaIOPrintOptionValue prints the value or values of a single command line options.

RETURN VALUES
VistaIOPrintOptionValue returns the number of characters output.

SEE ALSO
VistaIOoption(3),

AUTHOR
Art Pope <pope@cs.ubc.ca>

Adaption to vistaio: Gert Wollny <gw.fossdev@gmail.com>